Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 197819 - Makefiles for test targets are generated erroneously for source files that have extra dots in them
Makefiles for test targets are generated erroneously for source files that ha...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
PC Linux
: P2 (vote)
: 7.0.1
Assigned To: nnnnnk
issues@cnd
fix-in-nb701 70patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-16 19:35 UTC by asevki
Modified: 2011-05-20 10:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description asevki 2011-04-16 19:35:25 UTC
While using google proto buffers, their compiler generates filenames such as "myfile.pb.h" and "myfile.pb.cc"

I added these files to my project. When built, the object file for this becomes myfile.pb.o

When creating the test the target required by the test binary becomes myfile.pb_nomain.o 

due to the following conversion rule 
OBJECTFILES:%.o=%_nomain.o

However, the rule that creates this object file is generated as:
${OBJECTDIR}/_ext/464988008/myfile_nomain.pb.o

Hence, when building test targets it gives an error saying it cant find rule for myfile.pb_nomain.o 

I think while creating the _nomain makefile rule for test targets it is looking for the first dot, rather than the last one that separates the .cc or cpp
Comment 2 soldatov 2011-05-05 13:04:32 UTC
P2 from external user. I think this fix can be added into patch1 also.
Comment 3 soldatov 2011-05-13 11:34:21 UTC
verified in trunk (NetBeans IDE Dev (Build 201105130000))
Comment 4 nnnnnk 2011-05-16 13:24:54 UTC
transplanted
http://hg.netbeans.org/releases/rev/d591abc38ea5
Comment 5 soldatov 2011-05-20 10:30:12 UTC
verified in patch1 candidate


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo